package superchat.filters;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class NeedLoginFilter implements Filter {
    @Override
    public void init(FilterConfig filterConfig) throws ServletException {
    }

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        // Regarder si le nick n'est pas null
        HttpServletRequest httpReq = (HttpServletRequest) request;
        if (httpReq.getSession().getAttribute("nick") == null) {
            // Rediriger vers la page de login
            HttpServletResponse httpRes = (HttpServletResponse) response;
            httpRes.sendRedirect("login");
        } else {
            // Acceder a la ressource
            chain.doFilter(request, response);
        }
    }

    @Override
    public void destroy() {
    }
    
}
