package superchat.servlets;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/loginAction")
public class LoginServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }
    
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        // Obtenir le parametre nickname
        String nick = req.getParameter("nick");
        //resp.getWriter().println(nick);
        
        // Le sauver dans un cookie ou dans la session
        req.getSession().setAttribute("nick", nick);
        Cookie nickCookie = new Cookie("nick", nick);
        resp.addCookie(nickCookie);
        
        // Rediriger
        resp.sendRedirect("");
    }
}
